Bug 240339 - kernel BUG at include/linux/netdevice.h:898!
Summary: kernel BUG at include/linux/netdevice.h:898!
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-16 16:26 UTC by Chris Lumens
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 14:24:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file from over serial console (1.94 KB, text/plain)
2007-05-16 16:26 UTC, Chris Lumens
no flags Details
image of similar traceback (1.02 MB, image/jpeg)
2007-05-18 21:46 UTC, Peter Jones
no flags Details
dmesg (cold start) and lspci -vvv output from ThinkPad R50, comment #5 (29.31 KB, text/plain)
2007-05-19 07:02 UTC, Mikko Huhtala
no flags Details

Description Chris Lumens 2007-05-16 16:26:08 UTC
Description of problem:
kernel-2.6.21-1.3163

Version-Release number of selected component (if applicable):
Doing a network install with ipv4 and ipv6 selected on a machine with an e1000
network card, I'm seeing a frequent kernel panic.  The text of the panic is
attached to this bug.

How reproducible:
Not 100%, but occurs more often than not.

Steps to Reproduce:
1. Hook up a serial cable.
2. Do a network install, selecting the defaults of ipv4 and ipv6 selected.
3. Keep trying until you get a panic.

Comment 1 Chris Lumens 2007-05-16 16:26:08 UTC
Created attachment 154839 [details]
log file from over serial console

Comment 2 Peter Jones 2007-05-18 21:46:12 UTC
Created attachment 155030 [details]
image of similar traceback

I get a similar, but not quite identical, traceback on 3168.  Here's a picture.

Comment 3 Peter Jones 2007-05-18 21:47:16 UTC
(the machine I've got this on is a t41 in the docking station)

Comment 4 Chuck Ebbert 2007-05-18 23:08:27 UTC
From Intel:

this is lacking a lot of debugging info. Please post *all* the dmesg output,
lspci -vvv, ethtool -e ethX, etc. in the bugzilla.


Comment 5 Mikko Huhtala 2007-05-19 06:59:37 UTC
(Originally posted this to #220725, but I was pointed to this bug.)

I'm using a ThinkPad R50 and kernel 2.6.21-1.3163.fc7. Cold start (power off and
on) works ok, but after issuing the command 'reboot', booting ends with a kernel
panic and the following message:

  EIP: [<f8a8944f>] e1000_clean+0x1d6/0x23a [e1000] SS:ESP 0068:c0762fa8
  Kernel panic - not syncing: Fatal exception in interrupt

This is reproducible: cold start works every time and reboot fails every time.

lspci says that the NIC is Intel 82540EP, rev 03

I will attach full dmesg and lspci -vvv output.


Comment 6 Mikko Huhtala 2007-05-19 07:02:43 UTC
Created attachment 155042 [details]
dmesg (cold start) and lspci -vvv output from ThinkPad R50, comment #5

Comment 7 Chuck Ebbert 2007-05-21 20:22:38 UTC
Dave has a patch from Intel that should fix this in the next kernel.


Note You need to log in before you can comment on or make changes to this bug.